查询任务
curl --request GET \
--url https://api.tikway.ai/v1/images/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tikway.ai/v1/images/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tikway.ai/v1/images/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tikway.ai/v1/images/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tikway.ai/v1/images/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tikway.ai/v1/images/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tikway.ai/v1/images/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "1834578377046429696",
"model": "midjourney/8.2",
"object": "image.generation",
"status": "completed",
"data": {
"actions": [
"U1",
"U2",
"U3",
"U4",
"REROLL",
"V1",
"V2",
"V3",
"V4"
],
"full_prompt": "<string>",
"mode": "fast",
"parameters": {
"aspect": "9:16",
"channel": "DISCORD",
"chaos": 100,
"iw": 1,
"mode": "fast",
"no": "black cat",
"raw": true,
"ref": [
"<string>"
],
"seed": 1231231,
"sref": [
"<string>"
],
"stylize": 1000,
"sw": 1000,
"tile": true,
"version": "v 8.2",
"weird": 1000
},
"progress": 50,
"prompt": "a cute cat",
"image_url": {
"url": "<string>",
"split_image_urls": [
"<string>"
]
},
"native_url": {
"url": "<string>"
}
},
"error": {
"code": "generation_failed",
"message": "图片处理失败,请检查图片后重试"
}
}任务查询
查询任务
GET
https://api.tikway.ai
/
v1
/
images
/
{id}
查询任务
curl --request GET \
--url https://api.tikway.ai/v1/images/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tikway.ai/v1/images/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tikway.ai/v1/images/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tikway.ai/v1/images/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tikway.ai/v1/images/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tikway.ai/v1/images/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tikway.ai/v1/images/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "1834578377046429696",
"model": "midjourney/8.2",
"object": "image.generation",
"status": "completed",
"data": {
"actions": [
"U1",
"U2",
"U3",
"U4",
"REROLL",
"V1",
"V2",
"V3",
"V4"
],
"full_prompt": "<string>",
"mode": "fast",
"parameters": {
"aspect": "9:16",
"channel": "DISCORD",
"chaos": 100,
"iw": 1,
"mode": "fast",
"no": "black cat",
"raw": true,
"ref": [
"<string>"
],
"seed": 1231231,
"sref": [
"<string>"
],
"stylize": 1000,
"sw": 1000,
"tile": true,
"version": "v 8.2",
"weird": 1000
},
"progress": 50,
"prompt": "a cute cat",
"image_url": {
"url": "<string>",
"split_image_urls": [
"<string>"
]
},
"native_url": {
"url": "<string>"
}
},
"error": {
"code": "generation_failed",
"message": "图片处理失败,请检查图片后重试"
}
}授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求头
上游速度cost、stable、fast
路径参数
生成或操作接口返回的任务 ID。
示例:
"1834578377046429696"
响应
200 - application/json
任务 ID。
示例:
"1834578377046429696"
任务使用的模型。
示例:
"midjourney/8.2"
Allowed value:
"image.generation"completed 表示任务成功,failed 表示任务失败。
可用选项:
completed, failed Hide child attributes
Hide child attributes
可执行的后续操作;任务失败时可为空数组。
示例:
[
"U1",
"U2",
"U3",
"U4",
"REROLL",
"V1",
"V2",
"V3",
"V4"
]
包含参考图地址及参数的完整提示词。
任务运行模式。
示例:
"fast"
任务使用的参数,仅返回本次任务包含的字段。
Hide child attributes
Hide child attributes
图片宽高比。
示例:
"9:16"
任务渠道。
示例:
"DISCORD"
混沌参数。
示例:
100
参考图权重。
示例:
1
运行模式。
示例:
"fast"
负向提示词。
示例:
"black cat"
是否启用 Raw 模式。
参考图地址。
随机种子。
示例:
1231231
风格参考图地址。
风格化参数。
示例:
1000
风格参考权重。
示例:
1000
是否启用平铺模式。
Midjourney 版本参数。
示例:
"v 8.2"
怪诞参数。
示例:
1000
任务进度百分比。
必填范围:
0 <= x <= 100原始文本提示词。
示例:
"a cute cat"

